API Documentation Download OpenAPI specification

Fetch Order Suspensions

GEThttps://bll.titan.email/partner/getActiveSuspensions

API to fetch list of active suspensions for a Mail Order on Titan Mail Cloud Infra using the titanOrderId.

Query parameters

titanOrderIdnumberrequired

The Titan order ID for which active suspensions are required

Example: 1

Responses

200OKapplication/json
suspensionsstring[]

The suspension type.

  • abuse, expiry, charge_back, etc
403FORBIDDEN
  • Partner does not own the specified order
See General Errors for other errors that this API can return.
GET/partner/getActiveSuspensions
curl 'https://bll.titan.email/partner/getActiveSuspensions?titanOrderId=1' \
  --header 'Authorization: API.Key'
Response
{
  "suspensions": [
    "string"
  ]
}